import { IOptions } from 'glob';
import { IAwilixControllerBuilder } from 'awilix-router-core';
import { Router } from 'express';
/**
 * Constructor type.
 */
export declare type ConstructorOrControllerBuilder = (new (...args: any[]) => any) | IAwilixControllerBuilder;
/**
 * Registers one or multiple decorated controller classes.
 *
 * @param ControllerClass One or multiple "controller" classes
 *        with decorators to register
 */
export declare function controller(ControllerClass: ConstructorOrControllerBuilder | ConstructorOrControllerBuilder[]): Router;
/**
 * Loads controllers for the given pattern.
 *
 * @param pattern
 * @param opts
 */
export declare function loadControllers(pattern: string, opts?: IOptions): Router;
